| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Attributes | List of all members
details::GenericDataStoreAgent< F > Class Template Referencefinal

`#include <GaudiKernel/IDataStoreAgent.h>`

Inheritance diagram for details::GenericDataStoreAgent< F >:
[legend]
Collaboration diagram for details::GenericDataStoreAgent< F >:
[legend]

## Public Member Functions
template<typename G >
| GenericDataStoreAgent (G &&g)
bool | analyse (IRegistry *pObj, int level) override
| Analyse the data object. More...
Public Member Functions inherited from IDataStoreAgent
virtual | ~IDataStoreAgent ()=default
| destructor More...

## Private Attributes
F | f

## Detailed Description

### template<typename F>
class details::GenericDataStoreAgent< F >

Definition at line 30 of file IDataStoreAgent.h.

## Constructor & Destructor Documentation

## ◆ GenericDataStoreAgent()

template<typename F >
template<typename G >

details::GenericDataStoreAgent< F >::GenericDataStoreAgent | ( | G && | g | ) |
| inline

Definition at line 35 of file IDataStoreAgent.h.

35 : f{std::forward<G>( g )} {}
details::GenericDataStoreAgent::f
F f
Definition: IDataStoreAgent.h:31
gaudirun.g
dictionary g
Definition: gaudirun.py:520

## Member Function Documentation

## ◆ analyse()

template<typename F >

bool details::GenericDataStoreAgent< F >::analyse | ( | IRegistry * | pObject,
|  | int | level
| ) |  |
| inline override virtual

Analyse the data object.

Returns
  Boolean indicating wether the tree below should be analysed

Implements IDataStoreAgent.

Definition at line 37 of file IDataStoreAgent.h.

37 { return std::invoke( f, pObj, level ); }
details::GenericDataStoreAgent::f
F f
Definition: IDataStoreAgent.h:31
gaudirun.level
level
Definition: gaudirun.py:334

## Member Data Documentation

## ◆ f

template<typename F >

F details::GenericDataStoreAgent< F >::f
| private

Definition at line 31 of file IDataStoreAgent.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IDataStoreAgent.h